unit WordEgU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComObj, StdCtrls;

type
  TForm1 = class(TForm)
    btnStartWord: TButton;
    btnStopWord: TButton;
    btnNewDoc: TButton;
    btnInsertText: TButton;
    memTextForWord: TMemo;
    procedure btnStartWordClick(Sender: TObject);
    procedure btnStopWordClick(Sender: TObject);
    procedure btnNewDocClick(Sender: TObject);
    procedure btnInsertTextClick(Sender: TObject);
  private
    { Private declarations }
  public
    MSWord: Variant;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.btnStartWordClick(Sender: TObject);
begin
  MSWord := CreateOLEObject('Word.Application');
  MSWord.Visible := True
end;

procedure TForm1.btnStopWordClick(Sender: TObject);
begin
  //Should be able to just use the 2nd statement
  //but MS Office 97 doesn't adhere to the lifetime
  //management aspects of the MS COM spec.
  MSWord.Quit(False);
  MSWord := Unassigned
end;

procedure TForm1.btnNewDocClick(Sender: TObject);
begin
  MSWord.Documents.Add
end;

procedure TForm1.btnInsertTextClick(Sender: TObject);
begin
  MSWord.Selection.TypeText(memTextForWord.Text);
  //An Automation method call, using two named parameters
  MSWord.Selection.InsertDateTime(
    DateTimeFormat := 'dddd, dd MMMM yyyy', InsertAsField := False);
  MSWord.Selection.TypeParagraph
end;

end.
